%{?mingw_package_header}

Name:           mingw-libusbx
Version:        1.0.12
Release:        2%{?dist}
Summary:        MinGW library which allows userspace access to USB devices

License:        LGPLv2+
URL:            http://libusbx.org/
Source0:        http://downloads.sourceforge.net/libusbx/libusbx-%{version}.tar.bz2

BuildArch:      noarch
BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc


%description
This package provides a way for applications to access USB devices.

%package -n mingw32-libusbx
Summary:        MinGW library which allows userspace access to USB devices
Requires:       pkgconfig

%description -n mingw32-libusbx
This package contains the header files and libraries needed to develop
applications that use libusbx.

%package -n mingw32-libusbx-static
Summary:        MinGW static library which allows userspace access to USB devices
Requires:       mingw32-libusbx = %{version}-%{release}

%description -n mingw32-libusbx-static 
This package contains the static libraries needed to develop
applications that use libusbx.

%package -n mingw64-libusbx
Summary:        MinGW library which allows userspace access to USB devices
Requires:       pkgconfig

%description -n mingw64-libusbx
This package contains the header files and libraries needed to develop
applications that use libusbx.

%package -n mingw64-libusbx-static
Summary:        MinGW static library which allows userspace access to USB devices
Requires:       mingw64-libusbx = %{version}-%{release}

%description -n mingw64-libusbx-static
This package contains the static libraries needed to develop
applications that use libusbx.

%{?mingw_debug_package}


%prep
%setup -q -n libusbx-%{version}


%build
%mingw_configure
%mingw_make %{?_smp_mflags} V=1


%install
%mingw_make_install "DESTDIR=$RPM_BUILD_ROOT"

# Libtool files don't need to be bundled
find $RPM_BUILD_ROOT -name "*.la" -delete


%files -n mingw32-libusbx
%doc AUTHORS COPYING README NEWS
%{mingw32_bindir}/libusb-1.0.dll
%{mingw32_includedir}/libusb-1.0/
%{mingw32_libdir}/libusb-1.0.dll.a
%{mingw32_libdir}/pkgconfig/libusb-1.0.pc

%files -n mingw32-libusbx-static
%{mingw32_libdir}/libusb-1.0.a

%files -n mingw64-libusbx
%doc AUTHORS COPYING README NEWS
%{mingw64_bindir}/libusb-1.0.dll
%{mingw64_includedir}/libusb-1.0/
%{mingw64_libdir}/libusb-1.0.dll.a
%{mingw64_libdir}/pkgconfig/libusb-1.0.pc

%files -n mingw64-libusbx-static
%{mingw64_libdir}/libusb-1.0.a


%changelog
* Mon May 20 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.0.12-2
- Bump to fix broken upgrade path from f17 to f18

* Sun Nov 18 2012 Marc-André Lureau <marcandre.lureau@redhat.com> - 1.0.12-1
- Update to upstream 1.0.12

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May 21 2012 Marc-André Lureau <marcandre.lureau@redhat.com> - 1.0.9-1
- Initial packaging
